Bug 113074 - kcontrol CTAN web shortcut outdated bug
Summary: kcontrol CTAN web shortcut outdated bug
Status: RESOLVED FIXED
Alias: None
Product: kcontrol
Classification: Miscellaneous
Component: kcmkurifilt (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Dawit Alemayehu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-22 16:25 UTC by Marco Amadori
Modified: 2006-04-27 11:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Amadori 2005-09-22 16:25:53 UTC
Version:            (using KDE KDE 3.4.90)
Installed from:    Compiled From Sources
OS:                Linux

From dbts:

Package: kcontrol
Version: any
Tags: patch

As in subject ctan: web shortcut doesn't work anymore, please commit changes:

In the original source file [1] ctan web 
shortcut should update from [3] to [4] 

[1] 
http://websvn.kde.org/tags/KDE/3.4.91/kdebase/kcontrol/kcontrol/ebrowsing/plugins/ikws/searchproviders/ctan.desktop 


[3] Query=http://www.ctan.org/tools/filesearch?action=/search/&filename=\\{@}
[4] 
Query=http://tug.ctan.org/cgi-bin/filenameSearch.py?action=/search/&filename=\\{@}

or in diff -u way:

-Query=http://www.ctan.org/tools/filesearch?action=/search/&filename=\\{@}
+Query=http://tug.ctan.org/cgi-bin/filenameSearch.py?action=/search/&filename=\\{@}

tnx for attention
Comment 1 Dawit Alemayehu 2005-10-09 10:48:34 UTC
SVN commit 468834 by adawit:

- Update query URL. Patch from bug 113074.

BUG: 113074


 M  +1 -1      ctan.desktop  


--- branches/KDE/3.5/kdebase/kcontrol/ebrowsing/plugins/ikws/searchproviders/ctan.desktop #468833:468834
@@ -43,7 +43,7 @@
 Name[xh]=CTAN - Enomxholo TeX Indawo yokugcina Yomsebenzi womnatha
 Name[xx]=xxCTAN - Comprehensive TeX Archive Networkxx
 Name[zh_TW]=CTAN - 全面的 Tex 收集網路
-Query=http://www.ctan.org/tools/filesearch?action=/search/&filename=\\{@}
+Query=http://tug.ctan.org/cgi-bin/filenameSearch.py?action=/search/&filename=\\{ at }
 Query[xx]=xxhttp://www.ctan.org/tools/filesearch?action=/search/&filename=\\{@}xx
 ServiceTypes=SearchProvider
 Type=Service